You are not logged in.

#1 2021-01-16 03:17:11

duyinthee
Member
Registered: 2015-06-14
Posts: 128

virtualbox modules are not installed

After a update, I can't open my virtualbox machine any more.
It shows the message

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver is either not loaded or not set up correctly. Please try setting it up again by executing

'/sbin/vboxconfig'

as root.

If your system has EFI Secure Boot enabled you may also need to sign the kernel modules (vboxdrv, vboxnetflt, vboxnetadp, vboxpci) before you can load them. Please see your Linux system's documentation for more information.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT. 

I tried to load manually according to the wiki by

# modprobe vboxdrv

it says

modprobe: FATAL: Module vboxdrv not found in directory /lib/modules/5.10.6-arch1-1

I have read 100 times this session, https://wiki.archlinux.org/index.php/Vi … el_modules
but no solution.
And I also have virtualbox-host-modules-arch installed.

I will have to do presentation in my VirtualBox in 3 hours. It is totally shocked. Nervous.

Offline

#2 2021-01-16 03:18:44

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,315

Re: virtualbox modules are not installed

What kernel are you booting, and what version of virtualbox-host-modules-arch?

Offline

#3 2021-01-16 13:44:44

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,159

Re: virtualbox modules are not installed

Have you rebooted since the update?


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#4 2021-01-17 04:21:50

duyinthee
Member
Registered: 2015-06-14
Posts: 128

Re: virtualbox modules are not installed

Yeah, I rebooted.

Now, drown grading virtualbox-host-modules-arch has solved my problem.
But I still have weird thing that makes me wonder.
I according to my pacman.log, I upgraded virtualbox-host-modules-arch from version 6.1.16-22 to 6.1.16-23 on 2021-01-15.
On 2021-01-16, I got the problem with VirtualBox Kernel Modules. In attempt to fix it, I ran

# pacman -Syu

.
But the pacman said "virtualbox-host-modules-arch version is newer than in community". So I down graded virtualbox-host-modules-arch back to 6.1.16-22 and the problem was solved.
But the question I still wonder is why virtualbox-host-modules-arch was upgraded to newer version than in community. I am not using testing repositories

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

. It broke my VirtualBox totally.

I was shocked because I was supposed to do training presentation in Windows 7 which is in VirtualBox in 2-3 hours at work. A warning sign popped up in my mind that using bleeding edge at work is a bit scary.

Last edited by duyinthee (2021-01-17 04:24:47)

Offline

#5 2021-01-17 07:20:36

d_fajardo
Member
Registered: 2017-07-28
Posts: 1,043

Re: virtualbox modules are not installed

Which kernel are you currently in?

Offline

#6 2021-01-17 08:27:28

seth
Member
Registered: 2012-09-03
Posts: 18,781

Re: virtualbox modules are not installed

But I still have weird thing that makes me wonder.

Possibly out-of-date mirror but that doesn't explain how you got 6.1.16-23 itfp (did you download and install the local package explicitly? Why? Do/did you have other 3rd party repos in your pacman.conf?)

Please post your entire pacman.log.

Offline

#7 2021-01-17 10:09:30

duyinthee
Member
Registered: 2015-06-14
Posts: 128

Re: virtualbox modules are not installed

No. No 3rd party repo, no local package installed except AUR packages.
I always used to run the following to update.

$ sudo reflector --verbose -l 5 --sort rate --save /etc/pacman.d/mirrorlist
$ sudo pacman -Syu

On 2021-02-15, I ran update and I got virtualbox-host-modules-arch upgraded.
On 2021-01-16, I got problem with VirtualBox kernel modules and I down graded the package virtualbox-host-modules-arch.
On 2021-01-17 (Today), I ran again update and I got virtualbox-host-modules-arch to 6.1.16-23 again and also I got the kernel upgraded linux (5.10.6.arch1-1 -> 5.10.7.arch1-1).
The problem doesn't reappear because of kernel upgrade, I think.

My pacman.log is Here
Pacman's log starting from 2021-01-15 is

[2021-01-15T06:03:11+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-15T06:03:11+0630] [PACMAN] synchronizing package lists
[2021-01-15T06:11:34+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-15T06:11:34+0630] [PACMAN] synchronizing package lists
[2021-01-15T06:12:54+0630] [PACMAN] starting full system upgrade
[2021-01-15T06:20:47+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-15T06:20:47+0630] [PACMAN] synchronizing package lists
[2021-01-15T06:20:50+0630] [PACMAN] starting full system upgrade
[2021-01-15T06:21:37+0630] [ALPM] transaction started
[2021-01-15T06:21:37+0630] [ALPM] upgraded alsa-card-profiles (14.0-1 -> 14.1-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded libdrm (2.4.103-2 -> 2.4.104-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded libcap (2.45-2 -> 2.46-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded libpcap (1.9.1-4 -> 1.10.0-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded libusb (1.0.23-3 -> 1.0.24-2)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gcr (3.38-1 -> 3.38.1-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gptfdisk (1.0.5-1 -> 1.0.6-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gstreamer (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gst-plugins-base-libs (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded libpulse (14.0-1 -> 14.1-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gst-libav (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gst-plugins-base (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gst-plugins-good (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:37+0630] [ALPM] upgraded gst-plugins-ugly (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded vim-runtime (8.2.1989-3 -> 8.2.2347-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded gvim (8.2.1989-3 -> 8.2.2347-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded lib32-krb5 (1.18.2-1 -> 1.18.3-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded lib32-libcap (2.45-1 -> 2.46-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded lib32-libpulse (14.0-1 -> 14.1-1)
[2021-01-15T06:21:38+0630] [ALPM] upgraded pulseaudio (14.0-1 -> 14.1-1)
[2021-01-15T06:21:46+0630] [ALPM] upgraded pulseaudio-bluetooth (14.0-1 -> 14.1-1)
[2021-01-15T06:21:46+0630] [ALPM] upgraded system-config-printer (1.5.14-1 -> 1.5.15-1)
[2021-01-15T06:21:46+0630] [ALPM] upgraded virtualbox-host-modules-arch (6.1.16-22 -> 6.1.16-23)
[2021-01-15T06:21:47+0630] [ALPM] transaction completed
[2021-01-15T06:21:47+0630] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-01-15T06:21:47+0630] [ALPM] running '30-systemd-udev-reload.hook'...
[2021-01-15T06:21:47+0630] [ALPM] running '30-systemd-update.hook'...
[2021-01-15T06:21:47+0630] [ALPM] running '60-depmod.hook'...
[2021-01-15T06:22:16+0630] [ALPM] running 'dbus-reload.hook'...
[2021-01-15T06:22:16+0630] [ALPM] running 'glib-compile-schemas.hook'...
[2021-01-15T06:22:16+0630] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-01-15T06:22:16+0630] [ALPM] running 'update-desktop-database.hook'...
[2021-01-15T06:22:16+0630] [ALPM] running 'update-mime-database.hook'...
[2021-01-16T09:27:17+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-16T09:27:17+0630] [PACMAN] synchronizing package lists
[2021-01-16T09:27:21+0630] [PACMAN] starting full system upgrade
[2021-01-16T09:28:41+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-16T09:28:41+0630] [PACMAN] synchronizing package lists
[2021-01-16T09:28:45+0630] [PACMAN] starting full system upgrade
[2021-01-16T09:47:30+0630] [PACMAN] Running 'pacman -Syyu'
[2021-01-16T09:47:30+0630] [PACMAN] synchronizing package lists
[2021-01-16T09:48:08+0630] [PACMAN] starting full system upgrade
[2021-01-16T09:50:18+0630] [PACMAN] Running 'pacman -U virtualbox-host-modules-arch-6.1.16-22-x86_64.pkg.tar.zst'
[2021-01-16T09:50:37+0630] [PACMAN] Running 'pacman -U /var/cache/pacman/pkg/virtualbox-host-modules-arch-6.1.16-22-x86_64.pkg.tar.zst'
[2021-01-16T09:50:54+0630] [ALPM] transaction started
[2021-01-16T09:51:02+0630] [ALPM] downgraded virtualbox-host-modules-arch (6.1.16-23 -> 6.1.16-22)
[2021-01-16T09:51:03+0630] [ALPM] transaction completed
[2021-01-16T09:51:03+0630] [ALPM] running '30-systemd-update.hook'...
[2021-01-16T09:51:03+0630] [ALPM] running '60-depmod.hook'...
[2021-01-17T10:57:40+0630] [PACMAN] Running 'pacman -Syu'
[2021-01-17T10:57:40+0630] [PACMAN] synchronizing package lists
[2021-01-17T10:58:14+0630] [PACMAN] starting full system upgrade
[2021-01-17T11:06:17+0630] [ALPM] running '60-mkinitcpio-remove.hook'...
[2021-01-17T11:06:17+0630] [ALPM] transaction started
[2021-01-17T11:06:17+0630] [ALPM] upgraded adobe-source-code-pro-fonts (2.032ro+1.052it+1.012var-1 -> 2.038ro+1.058it+1.018var-1)
[2021-01-17T11:06:17+0630] [ALPM] upgraded alsa-card-profiles (14.1-1 -> 14.2-1)
[2021-01-17T11:06:17+0630] [ALPM] upgraded glib2 (2.66.4-1 -> 2.66.4-2)
[2021-01-17T11:06:17+0630] [ALPM] upgraded gtk-update-icon-cache (1:4.0.1-1 -> 1:4.0.1-2)
[2021-01-17T11:06:17+0630] [ALPM] upgraded mesa (20.3.2-2 -> 20.3.3-1)
[2021-01-17T11:06:17+0630] [ALPM] upgraded catfish (4.16.0-2 -> 4.16.0-3)
[2021-01-17T11:06:18+0630] [ALPM] upgraded imagemagick (7.0.10.57-1 -> 7.0.10.58-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded lib32-libdrm (2.4.103-1 -> 2.4.104-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded libpulse (14.1-1 -> 14.2-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded lib32-zstd (1.4.5-1 -> 1.4.8-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded lib32-libpulse (14.1-1 -> 14.2-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded lib32-lz4 (1.9.2-1 -> 1.9.3-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded lib32-mesa (20.3.2-1 -> 20.3.3-1)
[2021-01-17T11:06:18+0630] [ALPM] upgraded libmm-glib (1.14.8-1 -> 1.14.10-1)
[2021-01-17T11:06:27+0630] [ALPM] upgraded linux (5.10.6.arch1-1 -> 5.10.7.arch1-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded nano (5.4-1 -> 5.5-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded opera-ffmpeg-codecs (87.0.4280.88-1 -> 87.0.4280.141-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded pulseaudio (14.1-1 -> 14.2-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded pulseaudio-bluetooth (14.1-1 -> 14.2-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded qt5-base (5.15.2-2 -> 5.15.2-3)
[2021-01-17T11:06:28+0630] [ALPM] upgraded rav1e (0.3.5-1 -> 0.4.0-1)
[2021-01-17T11:06:28+0630] [ALPM] upgraded virtualbox-host-modules-arch (6.1.16-22 -> 6.1.16-23)
[2021-01-17T11:06:29+0630] [ALPM] upgraded youtube-dl (2021.01.08-1 -> 2021.01.16-1)
[2021-01-17T11:06:29+0630] [ALPM] transaction completed
[2021-01-17T11:06:30+0630] [ALPM] running '30-systemd-udev-reload.hook'...
[2021-01-17T11:06:30+0630] [ALPM] running '30-systemd-update.hook'...
[2021-01-17T11:06:30+0630] [ALPM] running '60-depmod.hook'...
[2021-01-17T11:06:41+0630] [ALPM] running '90-mkinitcpio-install.hook'...
[2021-01-17T11:06:41+0630] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2021-01-17T11:06:41+0630] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2021-01-17T11:06:41+0630] [ALPM-SCRIPTLET] ==> Starting build: 5.10.7-arch1-1
[2021-01-17T11:06:42+0630] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-01-17T11:06:42+0630] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-01-17T11:06:42+0630] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2021-01-17T11:06:42+0630] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-01-17T11:06:42+0630] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-01-17T11:06:43+0630] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-01-17T11:06:43+0630] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-01-17T11:06:43+0630] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-01-17T11:06:43+0630] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-01-17T11:06:44+0630] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-01-17T11:06:44+0630] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET] ==> Starting build: 5.10.7-arch1-1
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-01-17T11:06:46+0630] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-01-17T11:06:50+0630] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2021-01-17T11:06:50+0630] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2021-01-17T11:06:52+0630] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-01-17T11:06:54+0630] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-01-17T11:06:56+0630] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-01-17T11:06:57+0630] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-01-17T11:07:00+0630] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-01-17T11:07:00+0630] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2021-01-17T11:07:08+0630] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-01-17T11:07:08+0630] [ALPM] running 'detect-old-perl-modules.hook'...
[2021-01-17T11:07:08+0630] [ALPM] running 'fontconfig.hook'...
[2021-01-17T11:07:08+0630] [ALPM] running 'glib-compile-schemas.hook'...
[2021-01-17T11:07:09+0630] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-01-17T11:07:09+0630] [ALPM] running 'texinfo-install.hook'...
[2021-01-17T11:07:09+0630] [ALPM] running 'update-desktop-database.hook'...
[2021-01-17T11:07:10+0630] [ALPM] running 'xorg-mkfontscale.hook'...
[msh@mgmalnv ~]$

In that list, you will see all records including down grading I did on 2021-01-16.

My pacman.conf is

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

The file pacman.conf is Here.

So, the problem was only on one day, 2021-01-16 when the package virtualbox-host-modules-arch was upgraded from community but the kernel wasn't.

Offline

#8 2021-01-17 12:03:03

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,315

Re: virtualbox modules are not installed

The kernel was moved to Core on the 14th at 11:14am UTC.
https://github.com/archlinux/svntogit-p … 7617200ba7

Sounds like your mirror is broken.

Edit: Or, looking at the log, you canceled the first -Syu at a bad time and something went wrong.

Last edited by Scimmia (2021-01-17 12:53:08)

Offline

Board footer

Powered by FluxBB